Loading...
Searching...
No Matches
gr::dtv::plinfo Class Reference

pipeline info that flows with data More...

`#include <gnuradio/dtv/atsc_plinfo.h>`

## Public Member Functions

| plinfo ()
| plinfo (uint16_t flags, int16_t segno)
void | reset ()
| Resets the flags and segno fields.
bool | field_sync1_p () const
bool | field_sync2_p () const
bool | field_sync_p () const
bool | regular_seg_p () const
bool | in_field1_p () const
bool | in_field2_p () const
bool | first_regular_seg_p () const
bool | transport_error_p () const
unsigned int | segno () const
unsigned int | flags () const
void | set_field_sync1 ()
void | set_field_sync2 ()
void | set_regular_seg (bool field2, int segno)
void | set_transport_error (bool error)

## Static Public Member Functions

static void | delay (plinfo &out, const plinfo &in, int nsegs_of_delay)

## Static Public Attributes

static constexpr int | fl_regular_seg = 0x0001
static constexpr int | fl_field_sync1 = 0x0002
static constexpr int | fl_field_sync2 = 0x0004
static constexpr int | fl_first_regular_seg = 0x0008
static constexpr int | fl_field2 = 0x0010
static constexpr int | fl_transport_error = 0x0020

## Detailed Description

pipeline info that flows with data

Not all modules need all the info

## Constructor & Destructor Documentation

## plinfo() [1/2]

gr::dtv::plinfo::plinfo | ( |  | ) |

## plinfo() [2/2]

gr::dtv::plinfo::plinfo | ( | uint16_t | flags,
|  | int16_t | segno )

## Member Function Documentation

## delay()

static void gr::dtv::plinfo::delay | ( | plinfo & | out,
|  | const plinfo & | in,
|  | int | nsegs_of_delay )

static

Set `OUT` such that it reflects a `NSEGS_OF_DELAY` pipeline delay from `IN`.

## field_sync1_p()

bool gr::dtv::plinfo::field_sync1_p | ( |  | ) | const

## field_sync2_p()

bool gr::dtv::plinfo::field_sync2_p | ( |  | ) | const

## field_sync_p()

bool gr::dtv::plinfo::field_sync_p | ( |  | ) | const

## first_regular_seg_p()

bool gr::dtv::plinfo::first_regular_seg_p | ( |  | ) | const

## flags()

unsigned int gr::dtv::plinfo::flags | ( |  | ) | const

## in_field1_p()

bool gr::dtv::plinfo::in_field1_p | ( |  | ) | const

## in_field2_p()

bool gr::dtv::plinfo::in_field2_p | ( |  | ) | const

## regular_seg_p()

bool gr::dtv::plinfo::regular_seg_p | ( |  | ) | const

## reset()

void gr::dtv::plinfo::reset | ( |  | ) |

Resets the flags and segno fields.

## segno()

unsigned int gr::dtv::plinfo::segno | ( |  | ) | const

## set_field_sync1()

void gr::dtv::plinfo::set_field_sync1 | ( |  | ) |

## set_field_sync2()

void gr::dtv::plinfo::set_field_sync2 | ( |  | ) |

## set_regular_seg()

void gr::dtv::plinfo::set_regular_seg | ( | bool | field2,
|  | int | segno )

## set_transport_error()

void gr::dtv::plinfo::set_transport_error | ( | bool | error | ) |

## transport_error_p()

bool gr::dtv::plinfo::transport_error_p | ( |  | ) | const

## Member Data Documentation

## fl_field2

int gr::dtv::plinfo::fl_field2 = 0x0010

static constexpr

## fl_field_sync1

int gr::dtv::plinfo::fl_field_sync1 = 0x0002

static constexpr

## fl_field_sync2

int gr::dtv::plinfo::fl_field_sync2 = 0x0004

static constexpr

## fl_first_regular_seg

int gr::dtv::plinfo::fl_first_regular_seg = 0x0008

static constexpr

## fl_regular_seg

int gr::dtv::plinfo::fl_regular_seg = 0x0001

static constexpr

## fl_transport_error

int gr::dtv::plinfo::fl_transport_error = 0x0020

static constexpr

The documentation for this class was generated from the following file:

- atsc_plinfo.h